package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.entity.TBCrmDetail;
import org.springframework.web.multipart.MultipartFile;

import java.util.Map;

/**
 * <p>
 * 派单明细表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2024-05-14
 */
public interface TBCrmDetailService extends IService<TBCrmDetail> {

    /**
     * 派单明细sop变量保存
     *
     * @param crmNo
     * @param processVar
     * @return
     */
    public boolean sopVarSave(String crmNo, String processVar);

    /**
     * 派单明细sop导入
     *
     * @param file
     * @param crmNo
     * @return
     */
    public Map<String, String> sopExcelImport(MultipartFile file, String crmNo);
}
